Technologies that used in this application:
MVVM,
Data binding,
Dependency injection(Koin),
Retrofit2,
Picasso,
Kotlin Coroutines,
Extension Function,
Android Navigation Component(fragments),
AppGenericAdapter and Endless Recyclerview for Pagination,
Room(This app is Offlin First)



<div align="center">
    <img src="https://gitlab.com/mina.hosseini/foursquare/-/raw/master/MainPage.jpeg" width="400px"</img> 
</div>







<div align="center">
    <img src="https://gitlab.com/mina.hosseini/foursquare/-/raw/master/DetailPage.jpeg" width="400px"</img> 
</div>
